﻿using System;
using Microsoft.Practices.Unity;

namespace UnityBuildUp
{
    class Program
    {
        static void Main(string[] args)
        {
            UnityContainer container = new UnityContainer();

            container.RegisterType(typeof(IBusinessOperations), 
                typeof(BusinessHandler));

            ServiceHandler handler = new ServiceHandler();

            container.BuildUp(handler);

            String response = handler.RunAction(234);

            Console.WriteLine(response);
            Console.ReadKey();
        }
    }
}


